<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	 <xsl:output method="html" />
	 <xsl:param name="locale" select="/deviceMap/device/locale"/>	
	<xsl:include href="../en/ConfigResultStrings.xsl"/> 
	<xsl:include href="../es/ConfigResultStrings.xsl"/>
	<xsl:include href="../de/ConfigResultStrings.xsl"/>
	<xsl:include href="../fr/ConfigResultStrings.xsl"/>
	<xsl:include href="../ja/ConfigResultStrings.xsl"/>
	<xsl:include href="../zh/ConfigResultStrings.xsl"/>
	<xsl:template match="/">
		<head>
			<link href="docs/css/oma.css" type="text/css" rel="stylesheet"/><link type="text/css" rel="stylesheet" href="docs/css/scheme.css"/>
			<title>				
				<xsl:call-template name="header">
					<xsl:with-param name="locale" select="$locale"/>
				</xsl:call-template>	
			</title>
		</head>
	
	<body class="data-area"> 
		<span id="pagetitle" class="data-area-page-title">
				<xsl:call-template name="header">
					<xsl:with-param name="locale" select="$locale"/>
				</xsl:call-template>
		</span>
		<table cellspacing="0" cellpadding="0" border="0">            
			<tbody><tr style="height: 20px;"><td><img src="./images/blank.gif"></img></td></tr></tbody>
		</table>  

		<div style="display: none;" id="tableBar">               
			<table border="0" cellspacing="0" cellpadding="0" width="100%">    
				<tbody>
					<tr>
						<td style="width: 15px;"></td><td style="width: 11px;" align="right"><img style="width: 11px; height: 20px;" src="./images/dajblc.gif"></img></td>
						<td class="data-area-jump-bar">                            
							<table border="0" cellspacing="0" cellpadding="0" height="20">                                
								<tbody><tr id="oJumpDataRow" valign="middle"></tr></tbody>
							</table>                        
						</td>
						<td style="width: 11px;"><img style="width: 11px; height: 20px;" src="./images/dajbrc.gif"></img></td><td style="width: 15px;"></td>
					</tr>
				</tbody>
			</table>
			<br></br>
		</div>            

		<table border="0" cellspacing="0" cellpadding="0" width="100%">                
			<tbody>
				<tr>
					<td style="width: 15px;"></td><td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/tl.gif"></img></td>
					<td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td>
					<td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/tr.gif"></img></td>
					<td style="width: 15px;"></td> 
				</tr>
				<tr>
					<td style="width: 15px;"></td><td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td>
					<td class="data-area-canvas">
						<table border="0" cellspacing="0" cellpadding="2%" width="100%">
							<tbody>
								<tr>
									<th align="left" valign="middle" class="data-area-header" width="40%">
										<xsl:call-template name="deviceName">
											<xsl:with-param name="locale" select="$locale"/>
										</xsl:call-template>										
									</th>
									<th align="left" valign="middle" class="data-area-header" width="25%">
										<xsl:call-template name="deviceAttribute">
											<xsl:with-param name="locale" select="$locale"/>
										</xsl:call-template>															
									<img style="width: 10px; height: 10px;" src="./images/blank.gif"></img></th>
									<th align="left" valign="middle" class="data-area-header" width="35%">
										<xsl:call-template name="deviceValue">
											<xsl:with-param name="locale" select="$locale"/>
										</xsl:call-template>															
									</th>
								</tr>
								<tr>
									<td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td><td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td><td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td>
								</tr>
								<xsl:apply-templates/>
							</tbody>
						</table>                   
					</td><td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td><td style="width: 15px;"></td></tr><tr><td style="width: 15px;"></td><td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/bl.gif"></img></td><td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td><td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/br.gif"></img></td><td style="width: 15px;"></td></tr>
			</tbody>
		</table>
          	<br></br>            
		<center><table cellspacing="0" cellpadding="0" border="0"><tbody><tr><td style="height: 30px;"></td></tr><tr></tr></tbody></table></center>               	
	</body>
</xsl:template>

<xsl:template match="device">
	<xsl:variable name="canvas" select="position() mod 2 = 0"></xsl:variable>
    	<xsl:variable name="not_canvas" select="position() mod 2 != 0"></xsl:variable>
    	<xsl:variable name="status" select="deviceStatus"></xsl:variable>
	<xsl:variable name="statuscode" select="deviceStatusCode"></xsl:variable>
    	<xsl:if test="$canvas">
       	<tr>		
			<td class="data-area-canvas-odd"><xsl:value-of select="deviceName"/></td>
			<td class="data-area-canvas-odd">
				<xsl:call-template name="deviceStatus">
					<xsl:with-param name="locale" select="$locale"/>
				</xsl:call-template>
			</td>			
			<xsl:choose>
				<xsl:when test="string-length(normalize-space($status))=0">
					<td class="data-area-canvas-odd"><img style="width: 15px; height: 15px;" src="./images/info.gif"></img>
						<xsl:call-template name="displayNoInformation">
							<xsl:with-param name="locale" select="$locale"/>
						</xsl:call-template>														
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td class="data-area-canvas-odd">
						<!-- Get Image based on Status-->
						<xsl:if test="$statuscode=0">
							<img style="width: 15px; height: 15px;" src="./images/ok.gif"></img>
						</xsl:if>
						<xsl:if test="$statuscode=100">
							<img style="width: 15px; height: 15px;" src="./images/unknown.gif"></img>
						</xsl:if>	
						<xsl:if test="not($statuscode =0) and not($statuscode=100)">
							<img style="width: 15px; height: 15px;" src="./images/warn.gif"></img>
						</xsl:if>
						<xsl:value-of select="$status"/>
					</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>	
		<xsl:for-each select="*">
			<xsl:if test="not(name()='deviceStatus') and not(name()='deviceStatusCode') and not(name()='deviceName') and not(name()='_Key') and not(starts-with(name(), 'Dev_Char_V')) and not(name()='locale')">
	       		<tr>
					<td class="data-area-canvas-odd"></td>
					<xsl:choose>

						<xsl:when test="name()='deviceAdditionalInformation'">
							<xsl:choose>
								<xsl:when test="starts-with(name(preceding-sibling::node()),'Dev_Char_V')"><td class="data-area-canvas-odd"/><td class="data-area-canvas-odd"/> 
								</xsl:when>
								
								<xsl:otherwise>
									<td class="data-area-canvas-odd">
										<xsl:call-template name="deviceAdditionalInformation">
											<xsl:with-param name="locale" select="$locale"/>
										</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
									</td>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						
						<xsl:when test="starts-with(name(), 'Dev_Char_N')">
								<xsl:choose>
									<xsl:when test="./@order=0">
										<td class="data-area-canvas-odd">
											<xsl:call-template name="deviceAdditionalInformation">
												<xsl:with-param name="locale" select="$locale"/>
											</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
										</td>
										<td class="data-area-canvas-odd">
										<xsl:value-of select="parent::node()/deviceAdditionalInformation"/>
										</td>
										<tr><td class="data-area-canvas-odd"></td><td class="data-area-canvas-odd"></td><td class="data-area-canvas-odd"></td>
										</tr>
										<td class="data-area-canvas-odd">
										</td>
									</xsl:when>
									
								</xsl:choose>
							
								<td class="data-area-canvas-odd"><li><xsl:value-of select="./text()"/><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img></li></td>
							</xsl:when>

						<xsl:when test="name()='deviceLocation'">
							<td class="data-area-canvas-odd">
								<xsl:call-template name="deviceLocation">
									<xsl:with-param name="locale" select="$locale"/>
								</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>							
							</td>
						</xsl:when>
						<xsl:when test="name()='deviceClass'">
							<td class="data-area-canvas-odd">
								<xsl:call-template name="deviceClass">
									<xsl:with-param name="locale" select="$locale"/>
								</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>							
							</td>
						</xsl:when>
						<xsl:when test="name()='deviceDescription'">
							<td class="data-area-canvas-odd">
								<xsl:call-template name="deviceDescription">
									<xsl:with-param name="locale" select="$locale"/>
								</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>							
							</td>
						</xsl:when>						
					</xsl:choose>			
					<xsl:choose>
						<xsl:when test="string-length(normalize-space(.))=0">
							<xsl:choose>
								<xsl:when test="starts-with(name(preceding-sibling::node()),'Dev_Char_V')">
								</xsl:when>
								
								<xsl:otherwise>
									<td class="data-area-canvas-odd">
										<xsl:call-template name="displayNoInformation">
											<xsl:with-param name="locale" select="$locale"/>
										</xsl:call-template>												
									</td>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise><xsl:choose><xsl:when test="name()='deviceLocation'"><td class="data-area-canvas-odd"><xsl:call-template name="GiveOnlyLocation"><xsl:with-param name="devLocation" select="."/></xsl:call-template></td></xsl:when><xsl:when test="starts-with(name(), 'Dev_Char_N')"><xsl:variable name="suffixVal">Dev_Char_V_<xsl:value-of select="substring-after(name(), 'Dev_Char_N_')"/></xsl:variable><td class="data-area-canvas-odd"><xsl:value-of select="../*[name()=$suffixVal]/text()"/><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img></td></xsl:when><xsl:otherwise><xsl:choose>
										<xsl:when test="(name(self::node())='deviceAdditionalInformation')">
			<xsl:choose>
	<xsl:when test="starts-with(name(preceding-sibling::node()),'Dev_Char_V')"> </xsl:when>
	<xsl:otherwise>  <td class="data-area-canvas-odd"><xsl:value-of select="."/></td> </xsl:otherwise>
			</xsl:choose>	
							
							
								</xsl:when><xsl:otherwise><td class="data-area-canvas-odd"><xsl:value-of select="."/></td></xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
	       		</tr>
			</xsl:if>
		</xsl:for-each>
	</xsl:if>
    	<xsl:if test="$not_canvas">
    		<tr>
			<td><xsl:value-of select="deviceName"/></td>
			<td>				
				<xsl:call-template name="deviceStatus">
					<xsl:with-param name="locale" select="$locale"/>
				</xsl:call-template>
			</td>
			<xsl:choose>
				<xsl:when test="string-length(normalize-space($status))=0">
					<td><img style="width: 15px; height: 15px;" src="./images/info.gif"></img>
						<xsl:call-template name="displayNoInformation">
							<xsl:with-param name="locale" select="$locale"/>
						</xsl:call-template>											
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td>
						<!-- Get Image based on Status-->
						<xsl:if test="$statuscode=0">
							<img style="width: 15px; height: 15px;" src="./images/ok.gif"></img>
						</xsl:if>
						<xsl:if test="$statuscode=100">
							<img style="width: 15px; height: 15px;" src="./images/unknown.gif"></img>
						</xsl:if>	
						<xsl:if test="not($statuscode =0) and not($statuscode=100)">
							<img style="width: 15px; height: 15px;" src="./images/warn.gif"></img>
						</xsl:if>
						<xsl:value-of select="$status"/>
					</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
		<xsl:for-each select="*">
			<xsl:if test="not(name()='deviceStatus') and not(name()='deviceStatusCode') and not(name()='deviceName') and not(name()='_Key') and not(starts-with(name(), 'Dev_Char_V')) and not(name()='locale')">
	       		<tr>
					<td></td>
					<xsl:choose>
						<xsl:when test="name()='deviceAdditionalInformation'">
							<xsl:choose>
								<xsl:when test="starts-with(name(preceding-sibling::node()),'Dev_Char_V')"><td/><td/> 
								</xsl:when>
									
								<xsl:otherwise>
									<td>
										<xsl:call-template name="deviceAdditionalInformation">
											<xsl:with-param name="locale" select="$locale"/>
										</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
									</td>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						
						<xsl:when test="starts-with(name(), 'Dev_Char_N')">
							<xsl:choose>
								<xsl:when test="./@order=0">
									<td>
										<xsl:call-template name="deviceAdditionalInformation">
											<xsl:with-param name="locale" select="$locale"/>
										</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
									</td>
									<td><xsl:value-of select="parent::node()/deviceAdditionalInformation"/></td>
									<tr><td></td><td></td><td></td></tr>
									<td></td>
								</xsl:when>
									
							</xsl:choose>
							
							<td><li><xsl:value-of select="./text()"/><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img></li></td>
						</xsl:when>

						<xsl:when test="name()='deviceLocation'">
							<td>
								<xsl:call-template name="deviceLocation">
									<xsl:with-param name="locale" select="$locale"/>
								</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>							
							</td>
						</xsl:when>
						<xsl:when test="name()='deviceClass'">
							<td>
								<xsl:call-template name="deviceClass">
									<xsl:with-param name="locale" select="$locale"/>
								</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>							
							</td>
						</xsl:when>
						<xsl:when test="name()='deviceDescription'">
							<td>
								<xsl:call-template name="deviceDescription">
									<xsl:with-param name="locale" select="$locale"/>
								</xsl:call-template><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>							
							</td>
						</xsl:when>						
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="string-length(normalize-space(.))=0">
							<xsl:choose>
									<xsl:when test="starts-with(name(preceding-sibling::node()),'Dev_Char_V')">
									</xsl:when>
								
									<xsl:otherwise>
										<td>
											<xsl:call-template name="displayNoInformation">
												<xsl:with-param name="locale" select="$locale"/>
											</xsl:call-template>												
										</td>
									</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise><xsl:choose><xsl:when test="name()='deviceLocation'"><td><xsl:call-template name="GiveOnlyLocation"><xsl:with-param name="devLocation" select="."/></xsl:call-template></td></xsl:when><xsl:when test="starts-with(name(), 'Dev_Char_N')"><xsl:variable name="suffixVal">Dev_Char_V_<xsl:value-of select="substring-after(name(), 'Dev_Char_N_')"/></xsl:variable><td><xsl:value-of select="../*[name()=$suffixVal]/text()"/><img style="width: 10px; height: 10px;" src="./images/blank.gif"></img></td></xsl:when><xsl:otherwise><xsl:choose>
										<xsl:when test="(name(self::node())='deviceAdditionalInformation')">
			<xsl:choose>
	<xsl:when test="starts-with(name(preceding-sibling::node()),'Dev_Char_V')"></xsl:when>
	<xsl:otherwise>  <td><xsl:value-of select="."/></td> </xsl:otherwise>
			</xsl:choose>
					       
						</xsl:when><xsl:otherwise><td><xsl:value-of select="."/></td></xsl:otherwise></xsl:choose></xsl:otherwise></xsl:choose></xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:if>
		</xsl:for-each>
	</xsl:if>
</xsl:template>

<xsl:template name="GiveOnlyLocation">
	<xsl:param name="devLocation"/>
	<xsl:choose><xsl:when test="contains($devLocation, '!')"><xsl:call-template name="GiveOnlyLocation"><xsl:with-param name="devLocation" select="substring-after($devLocation, '!')"/></xsl:call-template></xsl:when>	<xsl:otherwise><xsl:value-of select="normalize-space($devLocation)"/></xsl:otherwise></xsl:choose>
</xsl:template>

<xsl:template name="header">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$saveConfigTitle_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$saveConfigTitle_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$saveConfigTitle_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$saveConfigTitle_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$saveConfigTitle_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$saveConfigTitle_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$saveConfigTitle_en"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="displayNoInformation">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$NoInformationAvailable_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$NoInformationAvailable_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$NoInformationAvailable_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$NoInformationAvailable_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$NoInformationAvailable_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$NoInformationAvailable_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$NoInformationAvailable_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceName">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceName_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceName_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceName_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceName_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceName_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceName_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceName_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceAttribute">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceAttribute_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceAttribute_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceAttribute_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceAttribute_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceAttribute_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceAttribute_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceAttribute_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceValue">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceValue_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceValue_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceValue_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceValue_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceValue_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceValue_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceValue_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceStatus">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceStatus_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceStatus_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceStatus_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceStatus_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceStatus_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceStatus_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceStatus_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceAdditionalInformation">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceAdditionalInformation_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceAdditionalInformation_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceAdditionalInformation_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceAdditionalInformation_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceAdditionalInformation_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceAdditionalInformation_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceAdditionalInformation_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceLocation">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceLocation_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceLocation_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceLocation_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceLocation_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceLocation_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceLocation_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceLocation_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceClass">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceClass_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceClass_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceClass_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceClass_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceClass_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceClass_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceClass_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceDescription">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceDescription_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceDescription_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceDescription_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceDescription_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceDescription_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceDescription_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceDescription_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

</xsl:stylesheet>


