<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="html" /> 
 <xsl:param name="locale" select="/resultMap/result/locale"/>	
<xsl:include href="../en/ConfigResultStrings.xsl"/> 
<xsl:include href="../es/ConfigResultStrings.xsl"/>
<xsl:include href="../de/ConfigResultStrings.xsl"/>
<xsl:include href="../fr/ConfigResultStrings.xsl"/>
<xsl:include href="../ja/ConfigResultStrings.xsl"/>
<xsl:include href="../zh/ConfigResultStrings.xsl"/>

<xsl:template match="/">
	<head>
		<link href="docs/css/oma.css" type="text/css" rel="stylesheet"/><link type="text/css" rel="stylesheet" href="docs/css/scheme.css"/>
		<title>
			<xsl:call-template name="header">
				<xsl:with-param name="locale" select="$locale"/>
			</xsl:call-template>			
		</title>
	</head>
	<body class="data-area"> 
		<span id="pagetitle" class="data-area-page-title">
			<xsl:call-template name="header">
				<xsl:with-param name="locale" select="$locale"/>
			</xsl:call-template>					
		</span>
		<table cellspacing="0" cellpadding="0" border="0">            
			<tbody><tr style="height: 20px;"><td><img src="./images/blank.gif"></img></td></tr></tbody>
		</table>  

		<div style="display: none;" id="tableBar">               
		<table border="0" cellspacing="0" cellpadding="0" width="100%">
		<tbody>
			<tr>
				<td style="width: 15px;"></td><td style="width: 11px;" align="right"><img style="width: 11px; height: 20px;" src="./images/dajblc.gif"></img></td>
				<td class="data-area-jump-bar">                            
					<table border="0" cellspacing="0" cellpadding="0" height="20">                                
						<tbody><tr id="oJumpDataRow" valign="middle"></tr></tbody>
					</table>                        
				</td>
				<td style="width: 11px;"><img style="width: 11px; height: 20px;" src="./images/dajbrc.gif"></img></td><td style="width: 15px;"></td>
			</tr>
		</tbody>
		</table>
		<br></br>
		</div>            

		<table border="0" cellspacing="0" cellpadding="0" width="100%">                
		<tbody>
			<tr>
				<td style="width: 15px;"></td><td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/tl.gif"></img></td>
				<td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td>
				<td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/tr.gif"></img></td>
				<td style="width: 15px;"></td> 
			</tr>
			<tr>
				<td style="width: 40px;"></td><td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td>
				<td class="data-area-canvas">
					<table border="0" cellspacing="0" cellpadding="0" width="100%">
						<tbody>
							<tr>
								<th align="left" valign="middle" width="80px" class="data-area-header">
									<xsl:call-template name="resultID">
										<xsl:with-param name="locale" select="$locale"/>
									</xsl:call-template>															
								</th>
								<th align="left" valign="middle" class="data-area-header">
									<xsl:call-template name="deviceName">
										<xsl:with-param name="locale" select="$locale"/>
									</xsl:call-template>														
								</th>								
								<th align="left" valign="middle" class="data-area-header">
									<xsl:call-template name="testName">
										<xsl:with-param name="locale" select="$locale"/>
									</xsl:call-template>														
								</th>
								<th align="left" valign="middle" class="data-area-header">
									<xsl:call-template name="resultCode">
										<xsl:with-param name="locale" select="$locale"/>
									</xsl:call-template>					
								</th>
								<th align="left" valign="middle" class="data-area-header">
									<xsl:call-template name="resultMsg">
										<xsl:with-param name="locale" select="$locale"/>
									</xsl:call-template>													
								</th>								
							</tr>
							<tr>
								<td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td>
								<td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td>
								<td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td>
								<td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td>
								<td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td>
								<td style="height: 1px;" class="data-area-separator"><img style="width: 1px; height: 1px;" src=""></img></td>
							</tr>
							<xsl:apply-templates/>
						</tbody>
					</table>                   
				</td><td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td><td style="width: 15px;"></td></tr><tr><td style="width: 15px;"></td><td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/bl.gif"></img></td><td class="data-area-canvas" style="height: 10px;"><img style="width: 1px; height: 1px;" src=""></img></td><td style="width: 10px; height: 10px;"><img style="width: 10px; height: 10px;" src="./images/br.gif"></img></td><td style="width: 15px;"></td></tr>
			</tbody>
			</table>
          		<br></br>            
			<center><table cellspacing="0" cellpadding="0" border="0"><tbody><tr><td style="height: 30px;"></td></tr><tr></tr></tbody></table></center>               	
	</body>
</xsl:template>

<xsl:template name="header">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$saveResultTitle_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$saveResultTitle_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$saveResultTitle_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$saveResultTitle_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$saveResultTitle_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$saveResultTitle_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$saveResultTitle_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template match="result">
    	<xsl:variable name="testresult" select="testResult"></xsl:variable>
       <tr>		
		<!-- Output expand Icon and ID-->
		<td class="data-area-canvas-odd"><img src="./images/minus.gif"></img><xsl:value-of select="requestID"/></td>
		<td class="data-area-canvas-odd"><xsl:value-of select="deviceName"/></td>
		<td class="data-area-canvas-odd"><xsl:value-of select="testName"/></td>
		<td class="data-area-canvas-odd"><xsl:value-of select="reportEventCode"/></td>
		<!-- Get Image based on Result-->
		<td class="data-area-canvas-odd">
			<xsl:if test="$testresult='passed'">
				<img name="" src= "./images/ok.gif" border="0" align="top" alt ="Status: OK" title="Status: OK"></img>				
			</xsl:if>
			<xsl:if test="$testresult='failed'">
				<img name="" src= "./images/fail.gif" border="0" align="top" alt ="Status: Failed" title="Status: Failed"></img>				
			</xsl:if>	
			<xsl:if test="$testresult='warning'">
				<img name="" src= "./images/warn.gif" border="0" align="top" alt ="Status: Warning" title="Status: Warning"></img>				
			</xsl:if>	
			<xsl:if test="$testresult='aborted'">
				<img name="" src= "./images/abort.gif" border="0" align="top" alt ="Status: Aborted" title="Status: Aborted"></img>				
			</xsl:if>	
			<xsl:value-of select="reportMessage"/>
		</td>
	</tr>	
	<xsl:apply-templates select="pass"/>
</xsl:template>

<xsl:template match="pass">
	<!-- only if passes >  1--> 
	<xsl:if test="not(string-length(normalize-space(passID))=0)">
		<tr>
			<td class="data-area-canvas-odd">
				<img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
				<img src="./images/minus.gif"></img>Pass <xsl:value-of select="passID"/>
			</td>
			<td class="data-area-canvas-odd"><xsl:value-of select="deviceName"/></td>
			<td class="data-area-canvas-odd"><xsl:value-of select="testName"/></td>
			<td class="data-area-canvas-odd"><xsl:value-of select="reportEventCode"/></td>
			<!-- Get Image based on Result-->
			<xsl:variable name="passresult" select="testResult"></xsl:variable>
			<td class="data-area-canvas-odd">
				<img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
				<xsl:if test="$passresult='passed'">
					<img name="" src= "./images/ok.gif" border="0" align="top" alt ="Status: OK" title="Status: OK"></img>				
				</xsl:if>
				<xsl:if test="$passresult='failed'">
					<img name="" src= "./images/fail.gif" border="0" align="top" alt ="Status: Failed" title="Status: Failed"></img>				
				</xsl:if>	
				<xsl:if test="$passresult='warning'">
					<img name="" src= "./images/warn.gif" border="0" align="top" alt ="Status: Warning" title="Status: Warning"></img>				
				</xsl:if>	
				<xsl:if test="$passresult='aborted'">
					<img name="" src= "./images/abort.gif" border="0" align="top" alt ="Status: Aborted" title="Status: Aborted"></img>				
				</xsl:if>	
				<xsl:value-of select="reportMessage"/>
			</td>
		</tr>
	</xsl:if>
	<xsl:apply-templates select="event"/>
</xsl:template>
	
<xsl:template match="event">
	<xsl:if test="./reportMessage!=''">
       <tr>
		<td class="data-area-canvas-odd">
			<!-- only if passes >  1--> 
			<xsl:if test="not(string-length(normalize-space(../passID))=0)">
				<img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
			</xsl:if>
			<img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
			<img src="./images/minus.gif"></img><!--<xsl:value-of select="../passID"/>-->
		</td>
		<td></td>
		<td></td>
		<td><xsl:value-of select="reportEventCode"/></td>
		<!-- Get Image based on Result-->
		<xsl:variable name="eventresult" select="eventType"></xsl:variable>
		<td>
			<xsl:if test="not(string-length(normalize-space(../passID))=0)">
				<img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
			</xsl:if>
			<img style="width: 10px; height: 10px;" src="./images/blank.gif"></img>
			<xsl:if test="$eventresult='passed'">
				<img name="" src= "./images/ok.gif" border="0" align="top" alt ="Status: OK" title="Status: OK"></img>				
			</xsl:if>
			<xsl:if test="$eventresult='error'">
				<img name="" src= "./images/fail.gif" border="0" align="top" alt ="Status: Failed" title="Status: Failed"></img>				
			</xsl:if>	
			<xsl:if test="$eventresult='aborted'">
				<img name="" src= "./images/abort.gif" border="0" align="top" alt ="Status: Aborted" title="Status: Aborted"></img>				
			</xsl:if>	
			<xsl:if test="$eventresult='information'">
				<img name="" src= "./images/info.gif" border="0" align="top" alt ="Status: Information" title="Status: Information"></img>				
			</xsl:if>	
			<xsl:if test="$eventresult='warning'">
				<img name="" src= "./images/warn.gif" border="0" align="top" alt ="Status: Warning" title="Status: Warning"></img>				
			</xsl:if>	
			<xsl:value-of select="reportMessage"/>
		</td>
       </tr>
	</xsl:if>
</xsl:template>

<xsl:template name="resultID">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$resultID_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$resultID_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$resultID_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$resultID_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$resultID_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$resultID_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$resultID_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="deviceName">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$deviceName_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$deviceName_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$deviceName_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$deviceName_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$deviceName_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$deviceName_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$deviceName_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="testName">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$testName_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$testName_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$testName_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$testName_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$testName_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$testName_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$testName_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="resultCode">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$resultCode_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$resultCode_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$resultCode_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$resultCode_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$resultCode_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$resultCode_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$resultCode_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

<xsl:template name="resultMsg">
	<xsl:choose>
		<xsl:when test="$locale='en'"><xsl:value-of select="$resultMsg_en"/></xsl:when>
		<xsl:when test="$locale='es'"><xsl:value-of select="$resultMsg_es"/></xsl:when>
		<xsl:when test="$locale='de'"><xsl:value-of select="$resultMsg_de"/></xsl:when>
		<xsl:when test="$locale='fr'"><xsl:value-of select="$resultMsg_fr"/></xsl:when>
		<xsl:when test="$locale='ja'"><xsl:value-of select="$resultMsg_ja"/></xsl:when>
		<xsl:when test="$locale='zh'"><xsl:value-of select="$resultMsg_zh"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="$resultMsg_en"/></xsl:otherwise>
	</xsl:choose>	
</xsl:template>

</xsl:stylesheet>

